Required libs to compile libXft


Login or Register for Dates, Times and to Reply

 
Thread Tools Search this Thread
Top Forums UNIX for Advanced & Expert Users Required libs to compile libXft
# 1  
Required libs to compile libXft

Hello. I am looking for all the necessary packages required to be able to compile libXft.

I tried to compile libXft-2.1.8.2$ and the error message was:

Code:
checking for XRENDER... checking for XRENDER... checking for X... no
checking X11/extensions/Xrender.h usability... no
checking X11/extensions/Xrender.h presence... no
checking for X11/extensions/Xrender.h... no
configure: error: Xrender.h not found.

Downloaded libXrender-0.9.0.2 and the error messages when trying to compile it was:

Code:
checking for X... configure: error: Package requirements (x11) were not met:

No package 'x11' found

Finally, downloaded libX11-1.0.0 and when trying to compile it, configure outputted:
Code:
checking for BIGREQS... configure: error: Package requirements (bigreqsproto) were not met:

No package 'bigreqsproto' found

So my questions here are:
  • 1) Is there a place that shows the dependency tree of required packages necessary to build Xorg, that I can use to infer the necessary ones to compile libXft.
  • 2) A link to a place where I can download these packages of compatible versions.

I say that because all of this will be of no use if I keep downloading wrong versions that will not provide all the functions, variables or whatever that are necessary for another a package. It might pass the configure stage, but will broke on the make stage complaining 3) It's going to be a hell of a work, isn't ?

Thanks for tyour time.
# 2  
I let you search as it seems to be an old version, but I installed more than a year ago but I forgot what for and it was a prereq for what I needed, and for this package libXft-2.3.2-1 had these prereq:
Code:
libX11-1.6.3-1
libxcb-1.12-1
libXrender-0.9.9-1
fontconfig-2.11.95-2
expat-2.2.6-1
freetype2-2.4.4-3
zlib-1.2.11-1

Some of these packages may have their own prereqs, not sure but remembered I spent an evening because of dependancies issues...
But more important, you havent mentionned your architecture, OS and version this may have quite an impact on what to be installed
( above was for AIX v7)
This User Gave Thanks to vbe For This Post:
Login or Register for Dates, Times and to Reply

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

Test Your Knowledge in Computers #854
Difficulty: Medium
React (also known as React.js or ReactJS) is a JavaScript library maintained by Facebook for building user interfaces.
True or False?

10 More Discussions You Might Find Interesting

1. AIX

Create shared libs on AIX (with certain libs which are statically linked)

I want to create a shared lib with certain libs statically linked to it. I can generate a fully shared lib as follows: gcc -maix64 -DHAVE_CONFIG_H -I. -I./src -DHAVE_OPENSSL -I/usr/include/openssl -I/usr/include -I/usr/include/apr-1 -D_LARGEFILE64_SOURCE -I/usr/java8_64/include -shared -o... (0 Replies)
Discussion started by: amandeepgautam
0 Replies

2. SuSE

How to get RPM Dependencies/libs

Hi All, I wanted to install an rpm package on two suse 10 systems. It installed successfully on one system but on the other it throws an error like error: Failed dependencies: rpmlib(PayloadIsLzma) <= 4.4.2-1 is needed by linuxProj-1-1.noarch Now this means that rpnm... (4 Replies)
Discussion started by: dirshah
4 Replies

3. UNIX for Dummies Questions & Answers

Compiling gcc to compile make to compile yaboot

I have just installed OpenBSD on a 333MHz PPC iMac G3. It has a 6GB HDD that has been partitioned as 1GB MacOS 8.5.1, 3GB MacOS X 10.3.9, 2GB OpenBSD 4.8. I now need to install a bootloader so that my computer can recognize the OpenBSD partition at startup. I have been trying to install... (0 Replies)
Discussion started by: t04st3r
0 Replies

4. Programming

shared libs

The gcc version is different on my computer than on the remote computer. An ldd on my program says: Is there any way I can tell gcc to compile my program against my version of libc-2.7.so and ld-2.7.so (which I would provide along with the program) instead of the remote computer's libs ? (I do... (5 Replies)
Discussion started by: cyler
5 Replies

5. Shell Programming and Scripting

Writing a 'Mad Libs' program using Ruby?

How would I go about writing a 'Mad Libs' type program using Ruby? Any examples would be greatly appreciated. Thanks! (0 Replies)
Discussion started by: greeky
0 Replies

6. AIX

Q: AIX dynamic linked libs

I think the default extension on AIX is .a so for dynamic lib "libabc.a", we can simply link against it by specifying "-labc" but here I have a dylib which been built by some one else called "libxyz.so" on AIX. once I say "-lxyz" the linker is only looking for libxzy.a but not .so after that.... (2 Replies)
Discussion started by: acerlinux
2 Replies

7. Programming

Seeking Some libs for AIX 5.3

hello everybody! I m compiling some program with the g++ on AIX 5.3 and it needs some library that i didn't find them i am new with the AIX here is the compilation error : g++ -Daix -fpic -o printps -lxercesc1_1 -L/oracle/OraHome/lib32/ -L/epost2/blitz/lib -lhmltods -lhmltops -lgeneric... (0 Replies)
Discussion started by: eternalflame
0 Replies

8. Shell Programming and Scripting

who to compile needed libs with Make

Hello all my project is contains 2 directories, 2 directories are building library and one for the executable that using the libes from the other 2 Now what im doing is compiling first the 2 libs directories and then the main directory. But I will like to automate the process and to be able ... (0 Replies)
Discussion started by: umen
0 Replies

9. Programming

default location of libs in dlopen

Hi Where is the default location of libs to search, when we specify any lib in dlopen function. And if we want to specify a custom location, how will we do it? thanks. (1 Reply)
Discussion started by: sumsin
1 Replies

10. Programming

compiling with include & libs

I like to compile a cxx file with g++ compiler. I tried with option g++ -I<include path> -L<library path> source-file but ending with compilation error in /usr/local/bin/gcc-lib/.../crt1.o I think the libraries are not taken from proper path How to compile a cxx file with libraries... (1 Reply)
Discussion started by: ls1429
1 Replies